# Update a share Updates the document list and/or expiry time of an existing share. Request: id - ID of the share to update. documentIds - Replacement list of document IDs for the share. expiryTime - New expiry timestamp for the share. Response: shareItem - The updated ShareItem reflecting the applied changes. Endpoint: POST /api/v1/share/update Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `id` (string) Rule data fields - `documentIds` (array) - `expiryTime` (object) - `expiryTime.seconds` (integer) - `expiryTime.nanos` (integer) ## Response 200 fields (application/json): - `shareItem` (object) - `shareItem.id` (string) Rule data fields - `shareItem.users` (array) - `shareItem.users.email` (string) Rule data fields - `shareItem.users.accessLevel` (integer) Enum: 0, 1 - `shareItem.expiryTime` (object) - `shareItem.expiryTime.seconds` (integer) - `shareItem.expiryTime.nanos` (integer) - `shareItem.documentIds` (array) - `shareItem.siteId` (string) Rule data fields - `shareItem.createdAt` (object) - `shareItem.status` (integer) Enum: 0, 1, 2 ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)